Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.mdc
Class LocationManager

    java.lang.Object
      org.kemet.mdc.LocationManager

All Implemented Interfaces:
  IMdCValues

    public class LocationManager

extends java.lang.Object
implements IMdCValues

Since:
  0.1
Author:
  fabricemaupin

  location manager of signs (in preparation to View mode).

Field Summary

Fields inherited from interface org.kemet.mdc.IMdCValues
`values, valuesToManageOneTime`

Constructor Summary
`LocationManager()`
`LocationManager(java.lang.String signList, java.lang.String className, java.util.HashMap tests)` instantiate the location manager.

Method Summary
`org.kemet.enum_.EReturnedMdCCode` | `getCorrect()` return the correct value (EReturnedMdCCode).
`java.lang.String` | `getError()` return the error
`void` | `getInformationLocation(java.lang.String signList)` get information about location (lines and cadrats).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocationManager

    public LocationManager()

### LocationManager

    public LocationManager(java.lang.String signList,
                           java.lang.String className,
                           java.util.HashMap tests)
                    throws KemetAPIException

  instantiate the location manager.

  Parameters:
    `signList` - signs to location
    `className` - location rules class name
  Throws:
    `KemetAPIException`
  Since:
    0.1

Method Detail

### getInformationLocation

    public void getInformationLocation(java.lang.String signList)

  get information about location (lines and cadrats).

  Parameters:
    `signList` - signList to process
  Since:
    0.1

### getCorrect

    public org.kemet.enum_.EReturnedMdCCode getCorrect()

  return the correct value (EReturnedMdCCode).

  Returns:
    EReturnedMdCCode
  Since:
    0.1

### getError

    public java.lang.String getError()

  return the error

  Returns:
    error
  Since:
    0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.